commit:     4549a9e13423e83a438d18cff0e2de7bb0038116
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Apr  2 21:49:34 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Apr 15 12:15:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4549a9e1

sys-apps/s6-portable-utils: add 2.3.0.2

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-apps/s6-portable-utils/Manifest                |  1 +
 .../s6-portable-utils-2.3.0.2.ebuild               | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/sys-apps/s6-portable-utils/Manifest 
b/sys-apps/s6-portable-utils/Manifest
index f3178397269d..1afe6aa6772d 100644
--- a/sys-apps/s6-portable-utils/Manifest
+++ b/sys-apps/s6-portable-utils/Manifest
@@ -2,3 +2,4 @@ DIST s6-portable-utils-2.2.5.0.tar.gz 50911 BLAKE2B 
e79d803544e8df6b791ecd22bd61
 DIST s6-portable-utils-2.2.5.1.tar.gz 51814 BLAKE2B 
ce4f38d7fb7c632f0e8c10c2990d10eb4f5af38330f29aa3b6e6b97fcce5687eb06a7ee241be5f92f093d5edf5a523da993f140c697ec0dbcef46aacb7f88f87
 SHA512 
814ab6467034657d3b46e5b933786a2eab1f9cb630c6d67c91ee635facac7d82b5871b94e53445d57fd466c98cc21ea2df4b74c8d48acc0f0c96e14fb827f613
 DIST s6-portable-utils-2.3.0.0.tar.gz 51712 BLAKE2B 
a0a26d2b287629789861df1380ff2903a356a0f461356746c7793b1b99daf5158202b95ee2bdded9a290d3bed8a94286252301329a1d491f47dde44000ab9390
 SHA512 
1ef0b937e2f698fb1b98440a84be0310e9be44763969ca812744ebc0a91fe75c50d5082067b6bb07c1acd9df1540f71b6d20254b97e4851bb28937815073298c
 DIST s6-portable-utils-2.3.0.1.tar.gz 51746 BLAKE2B 
50190c7c55a4e5d79a55a7a9edfa948931ecce3f6e33d2f95113a8e8ea3a5587dfcf7a98b54236eb66488976044d0b319ce0a45c0eb3a1b7399be299bab711fc
 SHA512 
46f4a09d124e44b9b2ac3b8fa8f7b4492207f0a03a052e7b15309aeea175682f7366ff74fbd8a2732952c8f3bbb2fcc69b4bca89609b690e91d167bd25c16b90
+DIST s6-portable-utils-2.3.0.2.tar.gz 51106 BLAKE2B 
a7c55fb99f8d2e46343c14169cd63c5054b5869e1cd2b5cc4b158e1f47035d956aba8faa0cceed3c39dba43945bdac44d9fe3b7ef5edae184c85d9e9e33f7215
 SHA512 
f918244e8ed5957817d28fc43ae2cdcbbdce600dc208bc0422e262ce42f36d8e8b77002c2143e7741390eea52e9c4bae7a1358c23ebbba3c689c64c7115d4b72

diff --git a/sys-apps/s6-portable-utils/s6-portable-utils-2.3.0.2.ebuild 
b/sys-apps/s6-portable-utils/s6-portable-utils-2.3.0.2.ebuild
new file mode 100644
index 000000000000..84d119227fea
--- /dev/null
+++ b/sys-apps/s6-portable-utils/s6-portable-utils-2.3.0.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Set of tiny portable unix utilities"
+HOMEPAGE="https://www.skarnet.org/software/s6-portable-utils/";
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND=">=dev-libs/skalibs-2.13.0.0:="
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+       default
+
+       # Avoid QA warning for LDFLAGS addition
+       sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+       sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+       tc-export AR CC RANLIB
+
+       local myconf=(
+               --bindir=/bin
+               --dynlibdir="/$(get_libdir)"
+               --libdir="/usr/$(get_libdir)/${PN}"
+               --with-dynlib="/$(get_libdir)"
+               --with-lib="/usr/$(get_libdir)/skalibs"
+               --with-sysdeps="/usr/$(get_libdir)/skalibs"
+               --disable-allstatic
+               --disable-static
+               --disable-static-libc
+       )
+
+       econf "${myconf[@]}"
+}

Reply via email to